## org.apache.xerces.dom
Class DOMStringListImpl

    java.lang.Object
      org.apache.xerces.dom.DOMStringListImpl

All Implemented Interfaces:
  org.w3c.dom.DOMStringList

    public class DOMStringListImpl

extends java.lang.Object
implements org.w3c.dom.DOMStringList

DOM Level 3 This class implements the DOM Level 3 Core interface DOMStringList.

Author:
  Neil Delima, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Constructor Summary
`DOMStringListImpl()` Construct an empty list of DOMStringListImpl
`DOMStringListImpl(java.util.Vector params)` Construct an empty list of DOMStringListImpl

Method Summary
`void` `add(java.lang.String param)` DOM Internal: Add a `DOMString` to the list.
`boolean` `contains(java.lang.String param)`
`int` `getLength()`
`java.lang.String` `item(int index)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMStringListImpl

    public DOMStringListImpl()

  Construct an empty list of DOMStringListImpl

### DOMStringListImpl

    public DOMStringListImpl(java.util.Vector params)

  Construct an empty list of DOMStringListImpl

Method Detail

### item

    public java.lang.String item(int index)

  Specified by:
    `item` in interface `org.w3c.dom.DOMStringList`
  See Also:
    `DOMStringList.item(int)`

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `org.w3c.dom.DOMStringList`
  See Also:
    `DOMStringList.getLength()`

### contains

    public boolean contains(java.lang.String param)

  Specified by:
    `contains` in interface `org.w3c.dom.DOMStringList`
  See Also:
    `DOMStringList.contains(String)`

### add

    public void add(java.lang.String param)

  DOM Internal: Add a `DOMString` to the list.

  Parameters:
    `domString` - A string to add to the list

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.